Proxy
Send a request to another service
/hardware/v1/remote-computers/proxy
This endpoint allows a service to send a request to another service without making a direct PubSub connection.
Requires a bearer access token for this API. See Authentication.
Request body
One of: "GET", "POST", "PUT", "DELETE"
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/proxy" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "method": "GET", "params": {}, "path": "string", "serviceId": "string" }'
Respond to a remote computer request
/hardware/v1/remote-computers/response
This endpoint allows a service to respond to a remote computer request.
Requires a bearer access token for this API with the Organization.PubSub.Response.Write permission. See Authentication.
Request body
The id used to identify a request in the PubSub system
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/remote-computers/response" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "data": { "status": 0 }, "requestId": "00000000-0000-0000-0000-000000000000" }'
Get a PubSub response by ID
/hardware/v1/remote-computers/responses/{responseId}
Retrieve a PubSub response by ID. Used to fetch staged payloads that were uploaded via the POST /remote-computers/response endpoint.
Requires a bearer access token for this API with the Organization.PubSub.Response.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/remote-computers/responses/{responseId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"